import processing.serial.*;

SerialSelector selectror1;
SerialSelector selectror2;

void setup() {
  size(400, 300); 
  
  if ( Serial.list().length >= 2 ) {    
    selectror1 = new SerialSelector(this, Serial.list()[0], 9600);
    selectror1.setTitle("port1");
    selectror1.show();

    selectror2 = new SerialSelector(this, Serial.list()[1], 9600);
    selectror2.setTitle("port2");
    selectror2.show();
  }
}

void draw() {
  
}

void serialEvent(Serial port) {  
  Serial port1 = selectror1.getSerial();

  if ( port == port1 ) {
    if ( port.available() > 0 ) {
      int recv_data = port.read();
      print(char(recv_data));
    }
  }
}

